Bug 224603 - js-1.5-6: missing dependency + fix file attr
js-1.5-6: missing dependency + fix file attr
Product: Fedora
Classification: Fedora
Component: js (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-01-26 11:52 EST by Marius Feraru
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.60-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-02 07:46:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marius Feraru 2007-01-26 11:52:16 EST
Add missing build dependency:

BuildRequires: libtermcap-devel

Fix perl bindings attr:

a) in %install add:
  %{__chmod} 0755 %{buildroot}%{perl_vendorarch}/auto/JS/*.so

b) or, in %files:
  %attr(0755,root,root) %{perl_vendorarch}/auto/JS
Comment 1 Matthias Saou 2007-02-02 07:46:49 EST
That build requirement needed to be changed, see bug #226773.
The perl file mode also affected the *.pm files (no u+w...), so I fixed them all.

Note You need to log in before you can comment on or make changes to this bug.